#include <Wire.h>
#include <LiquidCrystal_I2C.h>

#define Echo 11 //Echo connnect to pin11
#define Trig 12 //Trig connect to pin12
unsigned long rxTime; //define a variable
float distance; 
LiquidCrystal_I2C lcd(0x27,16,2);
void setup() 
{
  // put your setup code here, to run once:
  Serial.begin(115200); //set the baud rate of serial monitor
  pinMode(Echo,INPUT);
  pinMode(Trig,OUTPUT);
  lcd.init();                      // initialize the lcd

  // Print a message to the LCD.
  lcd.backlight(); //turn o the backlight
  lcd.setCursor(0, 0); //set the cursor on 0 row,0 col
  lcd.print("Ping:"); //print the "Ping: "on the LCD
}

void loop()
{
  // Generates a pulse
  digitalWrite(Trig, HIGH);
  delayMicroseconds(10);
  digitalWrite(Trig, LOW);
  rxTime = pulseIn(Echo, HIGH); //read the Receive time
  //  Serial.print("rxTime:");
  //  Serial.println(rxTime);
  distance = (float)rxTime * 34 / 2000.0; //Converted into a distance ,cm
  if(distance < 800 ) //filter interference signal
  {
    Serial.print("distance:");
    Serial.print(distance); //print it the distance in serial monitor
    Serial.println("CM");
    lcd.setCursor(6, 0);
    lcd.print(distance);//print it in LCD1602
    lcd.print("CM");
    delay(100);
  }
}


